m17n_object_ref(3m17n)

NAME
m17n_object_ref - m17n_object_ref: Increment the reference count of a managed object.

SYNOPSIS
int m17n_object_ref (void * object)

DESCRIPTION
Increment the reference count of a managed object.

The m17n_object_ref() function increments the reference count of the managed object pointed to by object.

RETURN VALUE

    This function returns the resulting reference count if it fits in a 16-bit unsigned integer (i.e. less than 0x10000). Otherwise, it return -1.

ERRORS

    This function never fails.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.